Update product
curl --request PATCH \
--url https://rawugc.com/api/v1/products/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"photos": [
"<string>"
],
"messaging": "<string>"
}
'import requests
url = "https://rawugc.com/api/v1/products/{productId}"
payload = {
"name": "<string>",
"description": "<string>",
"photos": ["<string>"],
"messaging": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
photos: ['<string>'],
messaging: '<string>'
})
};
fetch('https://rawugc.com/api/v1/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Products
Update product
PATCH
/
products
/
{productId}
Update product
Authorizations
Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY
Path Parameters
Body
application/json
Response
Updated
Was this page helpful?
⌘I

